import { LitElement } from 'lit-element';
export declare class BlurhashImg extends LitElement {
    static styles: import("lit-element").CSSResult;
    /**
     * The encoded blurhash, as a string.
     */
    hash: string | undefined;
    /**
     * The X-axis resolution in which the decoded image will be rendered at. Recommended min. 32px. Large sizes (>128px) will greatly decrease rendering performance.
     */
    resolutionX: number;
    /**
     * The Y-axis resolution in which the decoded image will be rendered at. Recommended min. 32px. Large sizes (>128px) will greatly decrease rendering performance.
     */
    resolutionY: number;
    canvas: HTMLCanvasElement | undefined;
    __updateCanvasImage(): void;
    firstUpdated(): void;
    updated(changedProperties: Map<string, string>): void;
    render(): import("lit-element").TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'blurhash-img': BlurhashImg;
    }
}
//# sourceMappingURL=blurhash-img.d.ts.map